Atualizar etapa de ideias
curl --request PUT \
--url https://post.chatclean.com.br/api/idea-stages/{ideaStage} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Em rascunho"
}
'import requests
url = "https://post.chatclean.com.br/api/idea-stages/{ideaStage}"
payload = { "name": "Em rascunho" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Em rascunho'})
};
fetch('https://post.chatclean.com.br/api/idea-stages/{ideaStage}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://post.chatclean.com.br/api/idea-stages/{ideaStage}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Em rascunho'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://post.chatclean.com.br/api/idea-stages/{ideaStage}"
payload := strings.NewReader("{\n \"name\": \"Em rascunho\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://post.chatclean.com.br/api/idea-stages/{ideaStage}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Em rascunho\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://post.chatclean.com.br/api/idea-stages/{ideaStage}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Em rascunho\"\n}"
response = http.request(request)
puts response.read_body{
"id": "9e1a2b3c-4d5e-4f6a-8b7c-9d0e1f2a3b4c",
"name": "Em rascunho",
"position": 0,
"created_at": "2026-09-20 12:00:00",
"updated_at": "2026-10-08 09:30:00"
}{
"message": "Unauthenticated."
}{
"message": "Active subscription required."
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"name": "rate_limit_exceeded",
"message": "Rate limit exceeded. Please retry after 30 seconds."
}Etapas de ideias
Atualizar etapa de ideias
Renomeia uma etapa.
PUT
/
idea-stages
/
{ideaStage}
Atualizar etapa de ideias
curl --request PUT \
--url https://post.chatclean.com.br/api/idea-stages/{ideaStage} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Em rascunho"
}
'import requests
url = "https://post.chatclean.com.br/api/idea-stages/{ideaStage}"
payload = { "name": "Em rascunho" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Em rascunho'})
};
fetch('https://post.chatclean.com.br/api/idea-stages/{ideaStage}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://post.chatclean.com.br/api/idea-stages/{ideaStage}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Em rascunho'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://post.chatclean.com.br/api/idea-stages/{ideaStage}"
payload := strings.NewReader("{\n \"name\": \"Em rascunho\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://post.chatclean.com.br/api/idea-stages/{ideaStage}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Em rascunho\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://post.chatclean.com.br/api/idea-stages/{ideaStage}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Em rascunho\"\n}"
response = http.request(request)
puts response.read_body{
"id": "9e1a2b3c-4d5e-4f6a-8b7c-9d0e1f2a3b4c",
"name": "Em rascunho",
"position": 0,
"created_at": "2026-09-20 12:00:00",
"updated_at": "2026-10-08 09:30:00"
}{
"message": "Unauthenticated."
}{
"message": "Active subscription required."
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"name": "rate_limit_exceeded",
"message": "Rate limit exceeded. Please retry after 30 seconds."
}Authorizations
Chave de API do workspace, criada em Configurações > Chaves de API.
Path Parameters
Id da etapa de ideias. Uma etapa de outro workspace devolve 404.
Body
application/json
Maximum string length:
60Response
A etapa atualizada.
Posição no quadro, começando em 0.
Quantidade de ideias na etapa. Só vem em GET /idea-stages e PUT /idea-stages/order.
Em UTC, no formato Y-m-d H:i:s.
Example:
"2026-09-20 12:00:00"
Em UTC, no formato Y-m-d H:i:s.
Example:
"2026-09-20 12:00:00"